#! /bin/sh
# Convert types long and u_long in the mg-1.3x source tree
# to mg_long and mg_u_long.
# [26-May-1997]
for f in `find . -name '*.[chyl]' -print | sort`
do
	mv $f $f.old
	sed	\
		-e 's/u_long/mg_u_long/g' \
		-e 's/[(]long[)]/ (mg_long) /g' \
		-e 's/[(]long[ 	][ 	]*/ (mg_long /g' \
		-e 's/[(]unsigned[ 	][ 	]*long[)]/ (unsigned mg_long) /g' \
		-e 's/[(]unsigned[ 	][ 	]*long[ 	][ 	]*int[)]/ (unsigned mg_long) /g' \
		-e 's/^long[ 	]int[ 	][ 	]*/mg_long /g' \
		-e 's/^long/mg_long/g' \
		-e 's/^\\^mg_long/mg_long/g' \
		-e 's/[ 	]long[ 	]int[ 	]/ mg_long /g' \
		-e 's/[ 	]long[ 	]/ mg_long /g' \
		-e 's/[ 	]long:/ mg_long : /g' \
		-e 's/[ 	]long$/ mg_long/g' \
		<$f.old >$f
	rm -f $f.old
	echo $f
done
